# $Id$
# Authority: lsn
# Upstream:

%define myname          LandShark BuildSys
%define myemail         <BuildSys[AT]LandShark.Net>
%define distro          CentOS 4

Name            : monitorix
Version         : 0.7.14
Release         : 3.el4.lsn

License         : GPL
Summary         : Monitorix is a system monitoring tool
Group           : Applications/System/Monitoring

URL             : http://www.monitorix.org
Vendor          : Fibranet NSP, SL
Distribution    : %distro
Packager        : %{myname} %{myemail}

BuildRoot       : %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Source          : %{name}-%{version}.tar.gz

Buildarch       : noarch

Requires        : bash, rrdtool, perl-rrdtool
Requires        : perl, xinetd

%description
System status monitor for RedHat Linux >= 7.3 and kernels 2.4 and 2.6.
At this time is fully focused for RedHat Linux/Enterprise and Fedora Core
distributions.
We need someone who have enough time to create adaptations for other
distributions like Debian or Slackware.

%prep
%setup -q

%build

%install
rm -rf ${RPM_BUILD_ROOT}
mkdir -p ${RPM_BUILD_ROOT}/etc/init.d
install -m 0755 monitorix.init ${RPM_BUILD_ROOT}/etc/init.d/monitorix
mkdir -p ${RPM_BUILD_ROOT}/etc/httpd/conf.d
install -m 0644 monitorix-apache.conf ${RPM_BUILD_ROOT}/etc/httpd/conf.d/monitorix.conf
mkdir -p ${RPM_BUILD_ROOT}/etc/monitorix
install -m 0644 monitorix.conf ${RPM_BUILD_ROOT}/etc/monitorix/monitorix.conf
mkdir -p ${RPM_BUILD_ROOT}/etc/cron.d
install -m 0644 monitorix.sh ${RPM_BUILD_ROOT}/etc/cron.d/monitorix
mkdir -p ${RPM_BUILD_ROOT}/usr/sbin
install -m 0755 monitorix.pl ${RPM_BUILD_ROOT}/usr/sbin
mkdir -p ${RPM_BUILD_ROOT}/var/www/html/monitorix
install -m 0644 logo_top.jpg ${RPM_BUILD_ROOT}/var/www/html/monitorix
install -m 0644 logo_bot.jpg ${RPM_BUILD_ROOT}/var/www/html/monitorix
install -m 0644 envelope.png ${RPM_BUILD_ROOT}/var/www/html/monitorix
mkdir -p ${RPM_BUILD_ROOT}/var/www/html/monitorix/imgs
mkdir -p ${RPM_BUILD_ROOT}/var/www/cgi-bin/monitorix
install -m 0755 monitorix.cgi ${RPM_BUILD_ROOT}/var/www/cgi-bin
install -m 0755 localhost.cgi ${RPM_BUILD_ROOT}/var/www/cgi-bin/monitorix
mkdir -p ${RPM_BUILD_ROOT}/var/lib/monitorix/reports/ca/imgs_email
install -m 0644 reports/ca/traffic_report.html ${RPM_BUILD_ROOT}/var/lib/monitorix/reports/ca
install -m 0755 reports/ca/traffic_report.sh ${RPM_BUILD_ROOT}/var/lib/monitorix/reports/ca
install -m 0644 reports/ca/imgs_email/blank.png ${RPM_BUILD_ROOT}/var/lib/monitorix/reports/ca/imgs_email
install -m 0644 reports/ca/imgs_email/logo.jpg ${RPM_BUILD_ROOT}/var/lib/monitorix/reports/ca/imgs_email
install -m 0644 reports/ca/imgs_email/signature.png ${RPM_BUILD_ROOT}/var/lib/monitorix/reports/ca/imgs_email
install -m 0644 reports/ca/imgs_email/title.jpg ${RPM_BUILD_ROOT}/var/lib/monitorix/reports/ca/imgs_email
mkdir -p ${RPM_BUILD_ROOT}/var/lib/monitorix/reports/en/imgs_email
install -m 0644 reports/en/traffic_report.html ${RPM_BUILD_ROOT}/var/lib/monitorix/reports/en
install -m 0755 reports/en/traffic_report.sh ${RPM_BUILD_ROOT}/var/lib/monitorix/reports/en
install -m 0644 reports/en/imgs_email/blank.png ${RPM_BUILD_ROOT}/var/lib/monitorix/reports/en/imgs_email
install -m 0644 reports/en/imgs_email/logo.jpg ${RPM_BUILD_ROOT}/var/lib/monitorix/reports/en/imgs_email
install -m 0644 reports/en/imgs_email/signature.png ${RPM_BUILD_ROOT}/var/lib/monitorix/reports/en/imgs_email
install -m 0644 reports/en/imgs_email/title.jpg ${RPM_BUILD_ROOT}/var/lib/monitorix/reports/en/imgs_email
mkdir -p ${RPM_BUILD_ROOT}/var/lib/monitorix/usage

%clean
rm -rf $RPM_BUILD_ROOT

%post
chkconfig --add monitorix
mkdir -p /var/www/html/monitorix/imgs
mkdir -p /var/lib/monitorix/usage
chown apache:apache /var/www/html/monitorix/imgs
mv /etc/cron.d/monitorix /etc/cron.d/.monitorix

%files
%defattr(-, root, root)
/etc/init.d/monitorix
/etc/httpd/conf.d/monitorix.conf
%config(noreplace) /etc/monitorix/monitorix.conf
/etc/cron.d/monitorix
/usr/sbin/monitorix.pl
%defattr(-, apache, apache)
/var/www/html/monitorix/logo_top.jpg
/var/www/html/monitorix/logo_bot.jpg
/var/www/html/monitorix/envelope.png
/var/www/cgi-bin/monitorix.cgi
/var/www/cgi-bin/monitorix/localhost.cgi
%config(noreplace) /var/lib/monitorix/reports/ca/traffic_report.html
%config(noreplace) /var/lib/monitorix/reports/ca/traffic_report.sh
%config(noreplace) /var/lib/monitorix/reports/ca/imgs_email/blank.png
%config(noreplace) /var/lib/monitorix/reports/ca/imgs_email/logo.jpg
%config(noreplace) /var/lib/monitorix/reports/ca/imgs_email/signature.png
%config(noreplace) /var/lib/monitorix/reports/ca/imgs_email/title.jpg
%config(noreplace) /var/lib/monitorix/reports/en/traffic_report.html
%config(noreplace) /var/lib/monitorix/reports/en/traffic_report.sh
%config(noreplace) /var/lib/monitorix/reports/en/imgs_email/blank.png
%config(noreplace) /var/lib/monitorix/reports/en/imgs_email/logo.jpg
%config(noreplace) /var/lib/monitorix/reports/en/imgs_email/signature.png
%config(noreplace) /var/lib/monitorix/reports/en/imgs_email/title.jpg
%defattr(-, root, root)
%doc COPYING Changelog Configuration.help README

%changelog
* Sun Jan 22 2006 LandShark BuildSys <BuildSys[AT]LandShark.Net>
- Initial build for CentOS.

* Thu Sep 01 2005 Jordi Sanfeliu <admin@fibranet.com>
Release 0.7.8.
First public release.
All changes are described in the Changelog file.

